# Uses of Class
javax.naming.directory.ModificationItem

Packages that use ModificationItem
Package
Description
javax.naming.directory
Extends the `javax.naming` package to provide functionality for accessing directory services.

## Uses of ModificationItem in javax.naming.directory

Methods in javax.naming.directory that return ModificationItem
Modifier and Type
Method
Description
`ModificationItem[]`
AttributeModificationException.`getUnexecutedModifications()`
Retrieves the unexecuted modification list.
Methods in javax.naming.directory with parameters of type ModificationItem
Modifier and Type
Method
Description
`void`
DirContext.`modifyAttributes(String name, ModificationItem[] mods)`
Modifies the attributes associated with a named object using an ordered list of modifications.
`void`
DirContext.`modifyAttributes(Name name, ModificationItem[] mods)`
Modifies the attributes associated with a named object using an ordered list of modifications.
`void`
InitialDirContext.`modifyAttributes(String name, ModificationItem[] mods)`
`void`
InitialDirContext.`modifyAttributes(Name name, ModificationItem[] mods)`
`void`
AttributeModificationException.`setUnexecutedModifications(ModificationItem[] e)`
Sets the unexecuted modification list to be e.